!> TreElm module for holding the revision of the solver
!!
!! A function to print these information is found in tem_aux_module, to
!! avoid dependencies of this module on tem_tools_module for the tem_write.
!*****************************************************************************!
! WARNING: Do NOT change this file, as it will be overwritten during
!          compilation.
!*****************************************************************************!

module tem_revision_module
  implicit none
  !> The HG revision of the application used for this executable.
  character(len=13), parameter :: tem_solver_revision &
    &                            = '5cdaafb19cde'

  !> Name of the compiler.
  character(len=32), parameter :: tem_FC_name &
    &                            = 'GFORTRAN'

  !> The compilation command that was used to build this executable.
  character(len=32), parameter :: tem_FC_command &
    &                            = 'mpif90'

  !> The version of the Fortran compiler used in the compilation of this
  !! executable.
  character(len=32), parameter :: tem_FC_version &
    &                            = '9.4.0'

  !> Number of lines needed to represent the compiler flags
  integer, parameter :: tem_FC_nFlagLines = 1

  !> The Fortran compiler flags used to compile this executable.
  character(len=72), parameter :: tem_FC_flags(tem_FC_nFlagLines) &
    & = [ '-O3 -march=native -Wall -Wno-maybe-uninitialized -Werror                ' ]

  !> The date when this executable was built.
  character(len=10), parameter :: tem_build_date &
    &                            = '2023-02-14'
end module tem_revision_module
